import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { IVerticalAnchoredCategorySeriesInteractionManager } from "./IVerticalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { Axis } from "./Axis";
import { ScalerParams } from "./ScalerParams";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class VerticalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    ji(): void;
    private so;
    readonly sp: IVerticalAnchoredCategorySeriesInteractionManager;
    protected get_isVertical(): boolean;
    pu(): CategoryAxisBase;
    qe(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    gd(a: Point, b: boolean): number;
    gf(a: Point, b: boolean): number;
    e2(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    protected bj(): SeriesHitTestMode;
    n4(a: Point): Rect;
    private sx;
    dy(a: Point, b: boolean): boolean;
    fh(a: Point, b: boolean, c: boolean): number;
    nt(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    r5(a: Axis): void;
    r6(a: Axis): void;
    qo(): boolean;
    po(a: number, b: number): any[];
    e4(a: Point): number;
    qs(a: Point): number;
    f9(a: Point): number;
    gq(a: Point): any;
    protected kp(a: any, b: string, c: any, d: any): void;
    ss(a: any): boolean;
    sr(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
